/**
 * The ZosFiles API response.
 * @export
 */
export interface IZosFilesResponse {
    /**
     * indicates if the command ran successfully.
     * @type {boolean}
     */
    success: boolean;
    /**
     * The command response text.
     * @type {string}
     */
    commandResponse: string;
    /**
     * The api response object.
     * @type {*}
     */
    apiResponse?: any;
    /**
     * The error message text.
     * If not defined, the command response will be used.
     * @type {string}
     */
    errorMessage?: string;
}
